/*
 *
 *                      manualfeed.c
 *
 *
 *	A procedure to allow the user to use the manual feed on
 *	the LaserWriter.
 *	The default wait before timeout is 3 minutes however this
 *	is easily changed.
 *
 *	argument: 1.   Enable manual feed.
 *		  0.   Disable manual feed.
 *
 *	Don McCormick
 */
#include "defn.h"

manualfeed(arg)
int     arg;
{
    if (arg == 1)
    {
	fprintf(outfile, "statusdict /manualfeed true put\n");
	fprintf(outfile, "statusdict /manualfeedtimeout 180 put\n");	/* 3 minute wait */
    } else
	fprintf(outfile, "statusdict /manualfeed false put\n");

    fprintf(outfile, "usertime 5000 add\n");
    fprintf(outfile, "{dup usertime lt {pop exit} if} loop\n");
}
